# Atlassian Confluence Docker Image

| Application | Current Version |
|-------------|-----------------|
| Confluence | 7.0.2 |

The key features of the image are:

* Alpine Linux Based
* Oracle Java
* Apache Tomcat with Apache Portable Runtime (APR) support

The image is built on [blackcowtech/atlassian-base](https://gitlab.com/blackcowtech/atlassian/base), which in turn is built on [frolvlad/alpine-oraclejdk8](https://github.com/frol/docker-alpine-oraclejdk8) ([MIT License](https://github.com/frol/docker-alpine-oraclejdk8/blob/master/LICENSE)) with a chunk of [docker-library/tomcat](https://github.com/docker-library/tomcat) ([Apache License 2.0](https://github.com/docker-library/tomcat/blob/master/LICENSE)).

As highlighted in the frolvlad/alpine-oraclejdk8 [readme](https://github.com/frol/docker-alpine-oraclejdk8/blob/master/README.md):

> You must accept the [Oracle Binary Code License Agreement for Java SE](http://www.oracle.com/technetwork/java/javase/terms/license/index.html) to use this image (see #6 for details).

Other Dockerized Atlassian applications are also available:

* [blackcowtech/atlassian-bamboo](https://gitlab.com/blackcowtech/atlassian/bamboo)
* [blackcowtech/atlassian-bitbucket](https://gitlab.com/blackcowtech/atlassian/bitbucket)
* [blackcowtech/atlassian-jira](https://gitlab.com/blackcowtech/atlassian/jira)

Much of the inspiration for these Dockerfiles has come from [blacklabelops](https://github.com/blacklabelops) and [cptactionhank](https://github.com/cptactionhank).
